--- title: List dimensions slug: '2861' canonical_url: https://docs.coveo.com/en/2861/ collection: coveo-analytics source_format: adoc --- # List dimensions The Usage Analytics Read API `dimensions` endpoint allows you to retrieve the [dimensions](https://docs.coveo.com/en/258/) in your Coveo [organization](https://docs.coveo.com/en/185/) (see [`/v15/dimensions`](https://platform.cloud.coveo.com/docs?urls.primaryName=Usage%20Analytics%20Read#/Dimensions%20API%20-%20Version%2015/get%5F%5Fv15_dimensions)). Make sure that you're using an access token with **Analytics - Analytics data - View** and **Analytics - Dimensions - View** privileges in the target organization (see [Create an API key](https://docs.coveo.com/en/1718#create-an-api-key)). > **Note** > > You'll usually find it simpler to manage [dimensions](https://docs.coveo.com/en/258/) through the [Coveo Administration Console](https://docs.coveo.com/en/183/) (see [Manage dimensions on custom metadata](https://docs.coveo.com/en/1522/)). > This article is only relevant if you have a legitimate reason for listing [dimensions](https://docs.coveo.com/en/258/) programmatically. **Example** [,http] ``` GET https://platform.cloud.coveo.com/rest/ua/v15/dimensions?org=myOrg HTTP/1.1 Authorization: Bearer **********-****-****-****-************ ``` **200 OK response body (excerpt)** ```json [ ... { "type": "DATE", "displayName": "Day", "apiNames": [ "ACTIONDAYOFYEAR", "ACTIONS.ACTIONDAYOFYEAR", "DAYOFYEAR", "DAY" ], "returnName": "actionDayOfYear", "custom": false, "availableInVisit": false, "eventTypes": [ "searches", "custom_events", "clicks", "views" ], "status": "AVAILABLE" }, ... ] ``` You may then want to use the `displayName` value to learn more about the [dimensions](https://docs.coveo.com/en/1904/) (for example, [Day](https://docs.coveo.com/en/2948#day)).